<BsModal @fade={{false}} @onHidden={{this.onHidden}} @onShow={{this.onShow}} @open={{@visible}} as |modal|>
  <BsModal::header @title="Ajouter un actif" @closeButton={{false}} />

  <BsForm @model={{this.changeset}} as |form|>
    <modal.body>

      <Crypto::Form::CurrencySelector @form={{form}} @onChange={{this.setAsset}} />

      <form.element @value={{this.changeset.quantity}} @onChange={{this.dummyAction}} as |el|>
        <el.control
          placeholder="Quantité"
          {{imask-currency this.changeset.quantity fractionDigits=8 onChange=this.setQuantity}}
        />
      </form.element>

      <form.element @property="description" as |el|>
        <el.control placeholder="Description" />
      </form.element>

    </modal.body>

    <modal.footer class="justify-content-between">
      <BsButton @defaultText="Fermer" @onClick={{modal.close}} @type="danger" buttonType="button" />
      <BsButton
        @defaultText="Ajouter"
        disabled={{this.cannotAdd}}
        @type="primary"
        @onClick={{fn this.add this.changeset modal}}
        buttonType="submit"
      />
    </modal.footer>
  </BsForm>
</BsModal>